<mediawiki xmlns="http://www.mediawiki.org/xml/export-0.10/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.mediawiki.org/xml/export-0.10/ http://www.mediawiki.org/xml/export-0.10.xsd" version="0.10" xml:lang="en">
  <siteinfo>
    <sitename>SNPedia</sitename>
    <dbname>snpediadb</dbname>
    <base>https://bots.SNPedia.com/index.php/SNPedia</base>
    <generator>MediaWiki 1.32.6</generator>
    <case>first-letter</case>
    <namespaces>
      <namespace key="-2" case="first-letter">Media</namespace>
      <namespace key="-1" case="first-letter">Special</namespace>
      <namespace key="0" case="first-letter" />
      <namespace key="1" case="first-letter">Talk</namespace>
      <namespace key="2" case="first-letter">User</namespace>
      <namespace key="3" case="first-letter">User talk</namespace>
      <namespace key="4" case="first-letter">SNPedia</namespace>
      <namespace key="5" case="first-letter">SNPedia talk</namespace>
      <namespace key="6" case="first-letter">File</namespace>
      <namespace key="7" case="first-letter">File talk</namespace>
      <namespace key="8" case="first-letter">MediaWiki</namespace>
      <namespace key="9" case="first-letter">MediaWiki talk</namespace>
      <namespace key="10" case="first-letter">Template</namespace>
      <namespace key="11" case="first-letter">Template talk</namespace>
      <namespace key="12" case="first-letter">Help</namespace>
      <namespace key="13" case="first-letter">Help talk</namespace>
      <namespace key="14" case="first-letter">Category</namespace>
      <namespace key="15" case="first-letter">Category talk</namespace>
      <namespace key="102" case="first-letter">Property</namespace>
      <namespace key="103" case="first-letter">Property talk</namespace>
      <namespace key="106" case="first-letter">Form</namespace>
      <namespace key="107" case="first-letter">Form talk</namespace>
      <namespace key="108" case="first-letter">Concept</namespace>
      <namespace key="109" case="first-letter">Concept talk</namespace>
      <namespace key="112" case="first-letter">smw/schema</namespace>
      <namespace key="113" case="first-letter">smw/schema talk</namespace>
      <namespace key="114" case="first-letter">Rule</namespace>
      <namespace key="115" case="first-letter">Rule talk</namespace>
      <namespace key="828" case="first-letter">Module</namespace>
      <namespace key="829" case="first-letter">Module talk</namespace>
    </namespaces>
  </siteinfo>
  <page>
    <title>Ancestry.com</title>
    <ns>0</ns>
    <id>70116</id>
    <revision>
      <id>1607003</id>
      <parentid>1606776</parentid>
      <timestamp>2019-01-03T19:29:24Z</timestamp>
      <contributor>
        <username>Lennon</username>
        <id>4</id>
      </contributor>
      <model>wikitext</model>
      <format>text/x-wiki</format>
      <text xml:space="preserve" bytes="3238">{{DataProvider}}http://www.ancestry.com/ uses an [[Illumina]] OmniExpress Plus, reporting ~700,000 SNP's for $99. The service is available in the USA, UK, Ireland, Australia, New Zealand, and Canada, as well as [https://blogs.ancestry.com/ancestry/2016/02/23/ancestrydna-now-offered-in-29-new-countries/ 29 additional more recently added countries from Europe to Asia]. Raw data downloads are available.

# Log into http://ancestry.com
# Click on 'DNA' to show a pulldown menu, then click on the top choice "Your DNA Results Summary"
# Click on "Settings" in the upper right
# Click on "Download Raw DNA Data"
# Follow their instructions (enter a password, check a box, click 'confirm')
# Ancestry will send you an email with a link to your data
# In the email click "Confirm Data Download" it will open a new web page
# Click "Download DNA Raw Data"
# Your browser will begin to download a file named dna-data-2018-MM-DD.zip
# You do not need to unzip this file
# When the download is complete visit https://promethease.com
# If it's your first time, read the disclaimer and check the boxes if you understand and agree with the statements
# Click on "Upload raw data"
# Navigate to your Downloads folder and upload the dna-data-2018-MM-DD.zip file



&lt;br&gt;
Ancestry began offering direct-to-consumer genetic [[testing]] in 2012. The chip versions used since then, and the current approximate Promethease report sizes (total number of genotypes out of the 110,000+ in SNPedia) based on them, are as follows:

{| class="wikitable sortable" border="1"
|-
! scope="col" | Chip
! scope="col" | Base (Illumina)
! scope="col" | Released
! scope="col" | Report size
|-
| 1
| OmniExpress
| May 2012
| 13K
|-
| 2
| OmniExpress+
| May 2016
| 48K
|-
| "2c"
| OmniExpress+
| April 2018
| 54K
|-
| "2d"
| ?
| Dec 2018
| 58K
|-
|}

The terms "v2c" and "v2d" are in quotes since they are names used (only) by SNPedia; Ancestry's raw data header still says "V2.0" for these chips, although they are clearly different from the original v2 chips.

For the benefit of anyone looking at Ancestry.com data files, be aware that the designation of chromosomes "23", "24", "25"  and "26" in these files indicate the following:

* If the Ancestry.com data file says a SNP is from chromosome 23, it's actually from the X chromosome.
* If it indicates chromosome 24, it's from the portion of the Y chromosome that is not part of the [[pseudoautosomal region]].
* If it indicates chromosome 25, the designated SNP is from the pseudoautosomal region of the Y chromosome.
* If it indicates chromosome 26, it's mitochondrial data (which is present in at least some Ancestry data produced since May 2016).


Raw data for a female often seems to have a small amount of Y chromosomal data reported. This has caused problems where [[Promethease]] has been confused. A discussion about this was visible at
*[http://ancestryforums.custhelp.com/posts/b7de792b84?commentId=30021 http://ancestryforums.custhelp.com/posts/b7de792b84?commentId=30021] but has been moved and the new URL isn't clear yet.


An independent test for gender is [[rs12734338]], at least in some microarray data; rs12734338(C;T) is seen in data from males and rs12734338(T;T) is seen in data from females.</text>
      <sha1>ggo6xaoztfldpuqo3rjfztivig2q7xo</sha1>
    </revision>
  </page>
</mediawiki>
